Loading...
Searching...
No Matches
FTS Struct Reference
Collaboration diagram for FTS:
[legend]

## Data Fields

struct _ftsent * | fts_cur
struct _ftsent * | fts_child
struct _ftsent ** | fts_array
dev_t | fts_dev
char * | fts_path
int | fts_rfd
int | fts_pathlen
int | fts_nitems
int(* | fts_compar )(const void *, const void *)
DIR *(* | fts_opendir )(const char *path)
struct dirent *(* | fts_readdir )(DIR *dir)
int(* | fts_closedir )(DIR *dir)
int(* | fts_stat )(const char *path, struct stat *st)
int(* | fts_lstat )(const char *path, struct stat *st)
int | fts_options

## Field Documentation

## fts_array

struct _ftsent** FTS::fts_array

sort array

## fts_child

struct _ftsent* FTS::fts_child

linked list of children

## fts_compar

int(* FTS::fts_compar) (const void *, const void *)

compare fn

## fts_cur

struct _ftsent* FTS::fts_cur

current node

## fts_dev

dev_t FTS::fts_dev

starting device #

## fts_nitems

int FTS::fts_nitems

elements in the sort array

## fts_options

int FTS::fts_options

fts_open options, global flags

## fts_path

char* FTS::fts_path

path for this descent

## fts_pathlen

int FTS::fts_pathlen

sizeof(path)

## fts_rfd

int FTS::fts_rfd

fd for root

The documentation for this struct was generated from the following file:

- fts_sun.h